#pragma once
#include "CoreMinimal.h"
#include "PortaSequenceFSMActor.h"
#include "PortaStateTarget.generated.h"

UCLASS()
class PORTAINTERFACE_API APortaStateTarget : public AActor
{
	GENERATED_BODY()

public:
	APortaStateTarget();

	virtual void BeginPlay() override;

	UPROPERTY(EditAnywhere, Category = "Porta")
	FString StateName;

	UPROPERTY(EditAnywhere, Category = "Porta")
	APortaSequenceFSMActor* FSM;
};
